function dev = repagent_calibration(struct_het,beta,sim_drop)
% function used by solver to calibrate beta in the rep agent economy
% INPUTS:
%  struct_het: structure with heterogeneous agent economy
%  beta: guess for beta
%  sim_drop: number of initial periods dropped in simulation to compare
%  mean employment
%
% OUTPUT:
%  dev: difference between mean employment in rep agent and het agents
%  economy
struct_het = repagent(struct_het,beta); % solve rep agent
dev = mean(struct_het.rep.sim_results((sim_drop+1):end,2))-mean(struct_het.sim_results((sim_drop+1):end,2)); % deviation of mean employment